Location (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.util

## Class Location

- java.lang.Object
- - hlt.language.util.Location

-     public class Location
      extends java.lang.Object

  A class denoting a character's location as (line,column) in a file buffer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location()`
    `Location(int line, int column)`
    `Location(java.lang.String file, int line, int column)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getColumn()`
    `java.lang.String` | `getFile()`
    `int` | `getLine()`
    `boolean` | `precedes(Location other)` Returns `true` if this location precedes the specified one.
    `Location` | `setColumn(int column)`
    `Location` | `setFile(java.lang.String file)`
    `Location` | `setLine(int line)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Location

          public Location()

    - #### Location

          public Location(int line,
                  int column)

    - #### Location

          public Location(java.lang.String file,
                  int line,
                  int column)

  - ### Method Detail

    - #### setFile

          public final Location setFile(java.lang.String file)

    - #### getFile

          public final java.lang.String getFile()

    - #### setLine

          public final Location setLine(int line)

    - #### getLine

          public final int getLine()

    - #### setColumn

          public final Location setColumn(int column)

    - #### getColumn

          public final int getColumn()

    - #### precedes

          public final boolean precedes(Location other)

      Returns `true` if this location precedes the specified one. This makes sense only for if the locations are within the same file.

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`